within ;
model HendersonHaselbalch
  Physiolibrary.Chemical.Sources.UnlimitedGasStorage CO2_gas(PartialPressure=
        5332.8954966)
    annotation (Placement(transformation(extent={{-82,68},{-62,88}})));
  Physiolibrary.Chemical.Components.GasSolubility gasSolubility(kH_T0(
        displayUnit="(mol/m3)/(mol/m3)") = 0.61)
    annotation (Placement(transformation(extent={{-54,32},{-34,52}})));
  Physiolibrary.Chemical.Components.Substance CO2_liquid
    annotation (Placement(transformation(extent={{-52,-8},{-32,12}})));
  Physiolibrary.Chemical.Components.ChemicalReaction chemicalReaction(nP=2, K=
        10^(3 - 6.1))
    annotation (Placement(transformation(extent={{-10,-8},{10,12}})));
  Physiolibrary.Chemical.Components.Substance HCO3
    annotation (Placement(transformation(extent={{36,12},{56,32}})));
  Physiolibrary.Chemical.Sources.UnlimitedSolutionStorage H(Conc=10^(3 - 7.4))
    annotation (Placement(transformation(extent={{58,-30},{38,-10}})));
equation
  connect(chemicalReaction.products[1], HCO3.q_out) annotation (Line(
      points={{10,1.5},{28,1.5},{28,22},{46,22}},
      color={107,45,134},
      thickness=1,
      smooth=Smooth.None));
  connect(chemicalReaction.products[2], H.q_out) annotation (Line(
      points={{10,2.5},{24,2.5},{24,-20},{38,-20}},
      color={107,45,134},
      thickness=1,
      smooth=Smooth.None));
  connect(CO2_liquid.q_out, chemicalReaction.substrates[1]) annotation (Line(
      points={{-42,2},{-10,2}},
      color={107,45,134},
      thickness=1,
      smooth=Smooth.None));
  connect(CO2_liquid.q_out, gasSolubility.q_in) annotation (Line(
      points={{-42,2},{-44,2},{-44,34}},
      color={107,45,134},
      thickness=1,
      smooth=Smooth.None));
  connect(CO2_gas.q_out, gasSolubility.q_out) annotation (Line(
      points={{-62,78},{-44,78},{-44,52}},
      color={107,45,134},
      thickness=1,
      smooth=Smooth.None));
  annotation (uses(Physiolibrary(version="2.2.0"), Modelica(version="3.2.1")),
      Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},{
            100,100}}), graphics));
end HendersonHaselbalch;
