within ;
model ReactionAB
  Physiolibrary.Chemical.Components.Substance A(solute_start(displayUnit="mol")
       = 0.001)
    annotation (Placement(transformation(extent={{-68,16},{-48,36}})));
  Physiolibrary.Chemical.Components.Substance B
    annotation (Placement(transformation(extent={{38,16},{58,36}})));
  Physiolibrary.Chemical.Components.ChemicalReaction chemicalReaction(K=2, kf=1)
    annotation (Placement(transformation(extent={{-14,16},{6,36}})));
equation
  connect(A.q_out, chemicalReaction.substrates[1]) annotation (Line(
      points={{-58,26},{-14,26}},
      color={107,45,134},
      thickness=1,
      smooth=Smooth.None));
  connect(chemicalReaction.products[1], B.q_out) annotation (Line(
      points={{6,26},{48,26}},
      color={107,45,134},
      thickness=1,
      smooth=Smooth.None));
  annotation (uses(Physiolibrary(version="2.2.0"), Modelica(version="3.2.1")),
      Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},{
            100,100}}), graphics));
end ReactionAB;
